package de.ivu.elect.presentation.gebietsbaum.tree;

import java.io.Serializable;
import java.util.Map;
import java.util.Set;

import de.ivu.elect.business.gebietsbaum.entity.GebietPK;

public class GebietsbaumAutoCompleteGebietsCacheStoreData implements Serializable {

  private static final long serialVersionUID = 1L;

  private final Map<String, Set<GebietPK>> gebieteNachNamen;

  private final Map<String, Set<GebietPK>> gebieteNachNummern;

  private final Map<GebietPK, Long> reihenfolge;

  public GebietsbaumAutoCompleteGebietsCacheStoreData(Map<String, Set<GebietPK>> gebieteNachNamen, Map<String, Set<GebietPK>> gebieteNachNummern, Map<GebietPK, Long> reihenfolge) {
    this.gebieteNachNamen = gebieteNachNamen;
    this.gebieteNachNummern = gebieteNachNummern;
    this.reihenfolge = reihenfolge;
  }

  public Map<String, Set<GebietPK>> getGebieteNachNamen() {
    return gebieteNachNamen;
  }

  public Map<String, Set<GebietPK>> getGebieteNachNummern() {
    return gebieteNachNummern;
  }

  public Map<GebietPK, Long> getReihenfolge() {
    return reihenfolge;
  }
}
